Subject: Bug#4179: can't use 'write' when su'd to root

From: Joey Hess <[email-masked]>
Date: Fri, 16 Aug 1996 13:19:54 -0400 (EDT)

Package: bsdmainutils
Version: 3.1-0

[joey@kite] /tmp>su
Password:
[root@kite] /tmp>write joey
write: joey is logged in more than once; writing to ttyp1
write: you are uid 0, but your login is as uid 500
[root@kite] /tmp>

I don't know if this is meant to be a security feature of what, but I only
log in as root via su, and it is sometimes useful to write to people as
root. I've not seen write exhibit this behavior on other linux systems
(slackware, redhat). Can this check be turned off?

-- 
#!/bin/perl -sp0777i<X+d*lMLa^*lN%0]dsXx++lMlN/dsM0<j]dsj -RSA-3-lines-PERL-
$/=unpack('H*',$_);$_=`echo 16dio\U$k"SK$/SM$n\EsN0p[lN*1#     Joey Hess
lK[d2%Sa2/d0$^Ixp"|dc`;s/\W//g;$_=pack('H*',/((..)*)$/)  # [email-masked]
                      "He. He. He." - - Herman Toothrot